using System;
using NUnit.Framework;

namespace Smdn.Net.Imap4 {
  [TestFixture]
  public class ImapMatchedSequenceSetTests {
    [Test]
    public void TestIsSavedResult()
    {
      Assert.IsTrue(ImapMatchedSequenceSet.CreateSavedResult(new ImapMatchedSequenceSet(ImapSequenceSet.CreateAllSet())).IsSavedResult);
    }

    [Test]
    public void TestIsEmpty()
    {
      Assert.IsTrue(ImapMatchedSequenceSet.CreateEmpty(true).IsEmpty);
      Assert.IsFalse(ImapMatchedSequenceSet.CreateSavedResult(new ImapMatchedSequenceSet(ImapSequenceSet.CreateAllSet())).IsEmpty);
    }
  }
}
